Bug 447043 - Nautilus doesnt allow me to open directories with applications
Nautilus doesnt allow me to open directories with applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 07:13 EDT by Dams
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:21:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2008-05-17 07:13:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko Galeon/2.0.5

Description of problem:
Used to work with fedora 7 and fedora 8. Fedora 9's nautilus doesnt allow me to open directories with an application, like audacious.

Version-Release number of selected component (if applicable):
nautilus(0:2.22.2-7.fc9).x86_64 gvfs(0:0.2.3-11.fc9).x86_64

How reproducible:
Always


Steps to Reproduce:
1. Right-click on a directory and click on "Properties".
2. Click on "Open with" tab, then "add". Choose "audacious" or something that makes sense"
3. Validate your choice. And close the "Properties" window
4. Right-click on the same directory

Actual Results:
Right-click menu is the same as before the operation described above

Expected Results:
Right-click menu should contain a non-default "open with audacious" choice.

Additional info:
This could be part of the gvfs migration. The mime type used to be x-directory/normal with gnome-vfs and gvfs recognize directories as mime inode/directory.
Comment 1 Kevin 2008-07-17 08:43:17 EDT
Confirmed.... sort of.

Right clicked on folder full of Music and selected 'open with -> other app'.
Selected VLC. Music started playing. Closed VLC - no changes to 'open with' list.

Right clicked on same folder and selected 'open with -> other app'.
Selected k3b. k3b opened. Closed k3b - no changes to 'open with' list.

Right clicked on directory and VLC was all of a sudden in the open with list!
Selected 'open with -> other app' and loaded the same music directory in
RythemBox. Again k3b is now in 'open with' but RythemBox isn't.

If I go to properties -> open with, all but the last selection is there. Removed
all custom entries and verified that they are gone from the open with list.
Added VLC via properties. Its not there. Added Ryhembox. Its not there but VLC is.

Synopsis:
It is remembering the last 'open with' application, but is not adding it to the
list until another 'open with' application is selected. The next application is
also remembered but not added to the list until another open with is performed -
and so on and so fourth.



Should be an easy enough bug to nail for the right developer :)
Comment 2 Dams 2008-07-19 04:58:06 EDT
As additionnal information, this bug only happens when upgrading to fedora 9
gnome. New UNIX accounts can add things to directories "open with" menu just fine.
Comment 3 Bug Zapper 2009-06-09 20:55:41 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:21:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.